Bug 107748 - use /boot/grub/menu.lst when /boot/grub/grub.conf doesn't exist
use /boot/grub/menu.lst when /boot/grub/grub.conf doesn't exist
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
: FutureFeature
: 55555 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 12:37 EDT by Felix Miata
Modified: 2011-09-22 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-22 13:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Miata 2003-10-22 12:37:57 EDT
I'm calling this an enhancement request, but really I think it is a bug.

Description of problem:
/boot partition can be shared among multiple distros, with all using the same
version of grub to choose what to boot. All other I'm familiar with (Caldera,
Mandrake, SuSE) find the boot menu in /boot/grub/menu.lst. When multiple distros
are in one grub menu, all the distros should be able to use the same menu, but
for that to work, menu.lst must be linked to grub.conf, or Fedora presents a
grub prompt instead of the boot menu.

Linking is fine, but only until one starts editing the config menu, and properly
backing up each version. If you botch it and want to copy back, you likely
either break the link, or wind up continuing to use the broken previous version
still linked. You can easily wind up being unable to boot anything until
figuring out how to use the grub prompt to get booted, or rescue boot and
frammitz up the works by reinstalling grub anew.

Grub is Grub, a mini OS, not Linux. It can stand alone, apart from Linux, so its
configuration absence from /etc, and the absence of any .conf file, is justified.

http://www.gnu.org/manual/grub/html_mono/grub.html contains the grub docs, but
no reference to grub.conf. Making users wholly dependent on Fedora docs for GNU
software is and will be confusing, especially in this case where the distinction
between Fedora and the standard may be unknown to the user. If we want grub.conf
in Fedora, fine, but make the otherwise standard menu.lst at least a functional
option.
Comment 1 Jeremy Katz 2003-11-02 23:20:57 EST
This has been on my list of things to do at some point for quite some
time now, just waiting on the time to implement it.
Comment 2 Peter Jones 2005-01-11 16:48:38 EST
*** Bug 55555 has been marked as a duplicate of this bug. ***
Comment 3 John Thacker 2006-10-29 17:48:16 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 4 Felix Miata 2006-10-29 18:35:04 EST
Assignee, if you haven't yet fixed this, please update to current version. I
haven't tested, because you haven't indicated there might be any point in
trying. Please reassign if you have no expectation of actually doing anything
with this ancient problem.
Comment 5 Felix Miata 2006-11-07 10:47:05 EST
Tested in FC6. Still doesn't work.
Comment 6 petrosyan 2008-02-14 20:47:46 EST
Fedora Core 6 is not maintained anymore.

Can you reproduce this bug in Fedora 8?
Comment 7 Felix Miata 2008-02-16 16:44:16 EST
Still a bug in Fedora 8.
Comment 8 Bug Zapper 2008-11-26 01:47:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Felix Miata 2008-11-26 08:18:25 EST
Still a bug in Fedora 10
Comment 10 Rudd-O DragonFear 2009-01-19 14:51:20 EST
For the love of FSM, why hasn't this been fixed?
Comment 11 Bug Zapper 2009-11-18 03:03:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Felix Miata 2009-11-25 19:41:12 EST
I've been trying a follow-up confirmation on this, but Anaconda seems intent on preventing it. Latest attempt can be found at https://bugzilla.redhat.com/show_bug.cgi?id=520058#c9 and the attachment preceding it. Bug 249399 was preventing attempts for a long time, but I presume as of 2.6.28 installation kernels that has to be an obsolete obstacle. The only "current" Fedora I have ATM is 12 on an LVM partition which I am booting without use of Fedora's implementation of Grub.
Comment 13 Felix Miata 2010-03-18 15:54:15 EDT
I just booted F13, renamed grub.conf to menu.lst, and rebooted to find a grub> prompt instead of a Grub boot menu.
Comment 14 Peter Jones 2011-09-22 13:36:16 EDT
This really isn't ever going to get fixed unless somebody who wants it provides a patch.
Comment 15 Felix Miata 2011-09-22 13:44:21 EDT
I don't see how this can be considered NOTABUG when considering the bug dup'd to this as a part of it.
Comment 16 Rudd-O DragonFear 2011-09-22 23:06:46 EDT
"This is not going to be fixed.  Therefore it is not a bug."

I believe this is called "Cart before the horse" logic.  It's also an asshole way to close a bug too.  I thought these shenanigans ended when Ulrich Drepper lost his job...
Comment 17 Rudd-O DragonFear 2011-09-22 23:07:22 EDT
For the record, I understand it's not going to be fixed since we have GRUB2 in the pipeline.  Still, that fact doesn't remove one bit from the "Cart before the horse" logic.

Note You need to log in before you can comment on or make changes to this bug.